Two Factor
For authentication instructions, see API overview.
Endpoints
post
Create authenticator generate
Create authenticator generate. You need to pass through any required fields, and you can optionally pass through other fields.
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/authenticator/generate-twofaResponse
No response schemapost
Create authenticator enable
Create authenticator enable. You need to pass through any required fields, and you can optionally pass through other fields.
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/authenticator/enable-twofaResponse
No response schemapost
Create authenticator disable
Create authenticator disable. You need to pass through any required fields, and you can optionally pass through other fields.
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/authenticator/disable-twofaResponse
No response schemapost
Create authenticator login
Create authenticator login. You need to pass through any required fields, and you can optionally pass through other fields.
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/authenticator/login-twofa